Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow
Interface WebflowConstants

public interface WebflowConstants

This class defines constants for known and published attribute names that are contained in either HttpSession, HttpServletRequest, or URL

Field Summary
`static java.lang.String` | `BEGIN_STATE` A String constant that holds the name of the "begin" node name, which has a very specific meaning in Webflow.
`static java.lang.String` | `CONFIGURATION_EXCEPTION_MESSAGE` The configuration exception message attribute name.
`static java.lang.String` | `EVENT_PARAM` the HttpServletRequest parameter for the event
`static java.lang.String` | `EXCEPTION_OBJECT` If a processor throws an exception this http request attribute will be populated with the exception object.
`static java.lang.String` | `HTTP_SERVLET_RESPONSE` The key for the http response attribute in the request, this is provided for processors that wish to use the response to deposit cookies.
`static java.lang.String` | `NAMESPACE_PARAM` the HttpServletRequest parameter for the namespace
`static java.lang.String` | `ORIGIN_PARAM` the HttpServletRequest parameter for the origin
`static java.lang.String` | `RESULT_OBJECT` The result object (exception) thrown by the processors, this may be an exception or a return object from a processor

Field Detail

### HTTP_SERVLET_RESPONSE

    public static final java.lang.String HTTP_SERVLET_RESPONSE

  The key for the http response attribute in the request, this is provided for processors that wish to use the response to deposit cookies. The processors maynot however write anything to the response as this can cause an IllegalStateException.

### CONFIGURATION_EXCEPTION_MESSAGE

    public static final java.lang.String CONFIGURATION_EXCEPTION_MESSAGE

  The configuration exception message attribute name.

### RESULT_OBJECT

    public static final java.lang.String RESULT_OBJECT

  The result object (exception) thrown by the processors, this may be an exception or a return object from a processor

### EXCEPTION_OBJECT

    public static final java.lang.String EXCEPTION_OBJECT

  If a processor throws an exception this http request attribute will be populated with the exception object.

### BEGIN_STATE

    public static final java.lang.String BEGIN_STATE

  A String constant that holds the name of the "begin" node name, which has a very specific meaning in Webflow.

### NAMESPACE_PARAM

    public static final java.lang.String NAMESPACE_PARAM

  the HttpServletRequest parameter for the namespace

### ORIGIN_PARAM

    public static final java.lang.String ORIGIN_PARAM

  the HttpServletRequest parameter for the origin

### EVENT_PARAM

    public static final java.lang.String EVENT_PARAM

  the HttpServletRequest parameter for the event

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved